summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Fellype do Nascimento2017-06-02 02:19:59 +0200
committer David Spencer2017-06-02 02:51:07 +0200
commita01dc1fb22d2e8ceee0c2f60c6661657e39905c1 (patch)
tree18a89a75e50a30add3af175856dd3c88e510f8d8 /academic
parent8f303c60a694d98c4d9aad89f29c27536095f519 (diff)
downloadslackbuilds-a01dc1fb22d2e8ceee0c2f60c6661657e39905c1.tar.gz
academic/scidavis: Updated for version 1.17.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/scidavis/doinst.sh19
-rw-r--r--academic/scidavis/fix_wrong_values_on_parameters_errors.patch16
-rw-r--r--academic/scidavis/scidavis.SlackBuild69
-rw-r--r--academic/scidavis/scidavis.info6
4 files changed, 56 insertions, 54 deletions
diff --git a/academic/scidavis/doinst.sh b/academic/scidavis/doinst.sh
new file mode 100644
index 0000000000..d4daff51d1
--- /dev/null
+++ b/academic/scidavis/doinst.sh
@@ -0,0 +1,19 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/icons/locolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/locolor >/dev/null 2>&1
+ fi
+fi
diff --git a/academic/scidavis/fix_wrong_values_on_parameters_errors.patch b/academic/scidavis/fix_wrong_values_on_parameters_errors.patch
deleted file mode 100644
index 380ad4d6d8..0000000000
--- a/academic/scidavis/fix_wrong_values_on_parameters_errors.patch
+++ /dev/null
@@ -1,16 +0,0 @@
---- Fit.cpp 2016-07-28 22:17:44.000000000 -0300
-+++ Fit.cpp.new 2016-11-28 10:46:40.000000000 -0200
-@@ -127,9 +127,10 @@
- gsl_multifit_covar (s->J, 0.0, covar);
- #else
- {
-- gsl_matrix J;
-- gsl_multifit_fdfsolver_jac(s,&J);
-- gsl_multifit_covar (&J, 0.0, covar);
-+ gsl_matrix *J = gsl_matrix_alloc(d_n, d_p);
-+ gsl_multifit_fdfsolver_jac(s,J);
-+ gsl_multifit_covar (J, 0.0, covar);
-+ gsl_matrix_free (J);
- }
- #endif
- if (d_y_error_source == UnknownErrors) {
diff --git a/academic/scidavis/scidavis.SlackBuild b/academic/scidavis/scidavis.SlackBuild
index ee13ce7f97..583fbe32b3 100644
--- a/academic/scidavis/scidavis.SlackBuild
+++ b/academic/scidavis/scidavis.SlackBuild
@@ -1,9 +1,10 @@
#!/bin/sh
# Slackware build script for SciDAVis
-# Based on the Slackware 14.1 SlackBuild
-# Written by Fellype do Nascimento <fellype(at)gmail.com>
-
+# Based on the Slackware 14.2 SlackBuild
+#
+# Copyright 2017, Fellype do Nascimento, Campinas - Brazil
+# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
@@ -23,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=scidavis
-VERSION=${VERSION:-1.14}
+VERSION=${VERSION:-1.17}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,28 +36,34 @@ if [ -z "$ARCH" ]; then
esac
fi
-
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"; SLKLDFLAGS=""; LIBDIRSUFFIX="";
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ SPEC=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"; SLKLDFLAGS=""; LIBDIRSUFFIX="";
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SPEC=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"; SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+ SLKCFLAGS="-O2 -fPIC"
+ SPEC="-spec linux-g++-64"
fi
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Correction needed in order to find qwtplot3d in its default path
grep -rl "qwtplot3d/" libscidavis/src/ | xargs sed -i "s:<qwtplot3d/:<:"
@@ -64,53 +71,45 @@ grep -rl "qwtplot3d/" libscidavis/src/ | xargs sed -i "s:<qwtplot3d/:<:"
# Correction needed in order to re-enable desktop integration
cat $CWD/desktop_integration.txt >> scidavis/basic.pri
-## Applying a patch on libscidavis/src/Fit.cpp in order to have correct values of parameters' errors generated by fit functions
-patch -p1 < $CWD/fix_wrong_values_on_parameters_errors.patch libscidavis/src/Fit.cpp
-
## Applying a patch in the config.pri file in order to build with the correct path for qwt5
+## See https://sourceforge.net/p/scidavis/scidavis-bugs/291/
patch -p1 < $CWD/correction_to_use_qwt5.patch config.pri
## For some unknown reason, to build in Slackware we need to run qmake twice in order to get icons working properly
## See https://sourceforge.net/p/scidavis/scidavis-bugs/259/
qmake
-qmake CONFIG+="liborigin python" PRESET=linux_package
+qmake \
+ CONFIG+="liborigin python" \
+ PRESET=linux_package \
+ QMAKE_CFLAGS+="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS+="$SLKCFLAGS" \
+ $SPEC
-# Build and install:
-LDFLAGS="$SLKLDFLAGS" \
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
make
make install INSTALL_ROOT=$PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
## Sometimes 'make install' fails to install the translation files
mkdir -p $PKG/usr/share/scidavis/translations
cp scidavis/translations/*.qm $PKG/usr/share/scidavis/translations
+mkdir -p $PKG/usr/man/man1
+docbook2man man/manpage.sgml -o $PKG/usr/man/man1/
+gzip -9 $PKG/usr/man/man1/*.1
+ln -sf SciDAVis.1.gz $PKG/usr/man/man1/scidavis.1.gz
+rm $PKG/usr/man/man1/manpage.*
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a README.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $PKG/usr/share/doc/scidavis/*.* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
rm -rf $PKG/usr/share/doc
-( cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-find . | xargs file | grep "current ar archive" | cut -f 1 -d : | xargs strip -g 2> /dev/null || true
-)
-
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/slack-desc > $PKG/usr/doc/$PRGNAM-$VERSION/slack-desc
-
-mkdir -p $PKG/usr/man/man1
-docbook2man man/manpage.sgml -o $PKG/usr/man/man1/
-cp $PKG/usr/man/man1/SciDAVis.1 $PKG/usr/man/man1/scidavis.1
-gzip -9 $PKG/usr/man/man1/*.1
-rm $PKG/usr/man/man1/manpage.*
-
-if [ -e /usr/bin/requiredbuilder ]; then
- requiredbuilder -v -y -s $CWD $PKG
-fi
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/scidavis/scidavis.info b/academic/scidavis/scidavis.info
index 853e5488be..0bffe32b2a 100644
--- a/academic/scidavis/scidavis.info
+++ b/academic/scidavis/scidavis.info
@@ -1,8 +1,8 @@
PRGNAM="scidavis"
-VERSION="1.14"
+VERSION="1.17"
HOMEPAGE="http://scidavis.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/project/scidavis/SciDAVis/1.14/scidavis-1.14.tar.gz"
-MD5SUM="6b5fd39c17ed67cd64c77ac214099b2e"
+DOWNLOAD="https://downloads.sourceforge.net/project/scidavis/SciDAVis/1.17/scidavis-1.17.tar.gz"
+MD5SUM="4d5356c64bf103e4c1dd06f8a35b8a50"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="muParser qwt5 qwtplot3d"